commit:     c552aae1e4c2dc88ad964fd4134505c2cdf0d26e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  5 13:24:08 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan  5 13:24:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c552aae1

dev-util/gperf: filter LTO, disable strict aliasing

Closes: https://bugs.gentoo.org/858377
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/gperf/gperf-3.1-r2.ebuild | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/dev-util/gperf/gperf-3.1-r2.ebuild 
b/dev-util/gperf/gperf-3.1-r2.ebuild
new file mode 100644
index 000000000000..f5fd37924abf
--- /dev/null
+++ b/dev-util/gperf/gperf-3.1-r2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic
+
+DESCRIPTION="A perfect hash function generator"
+HOMEPAGE="https://www.gnu.org/software/gperf/";
+SRC_URI="mirror://gnu/gperf/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-strncmp-decl-mismatch.patch
+       "${FILESDIR}"/${P}-clang-16-wregister.patch
+       "${FILESDIR}"/${P}-parallel-tests.patch
+)
+
+src_prepare() {
+       sed -i \
+               -e "/^CPPFLAGS /s:=:+=:" \
+               */Makefile.in || die #444078
+
+       default
+}
+
+src_configure() {
+       # Aliasing violation (bug #858377)
+       append-flags -fno-strict-aliasing
+       filter-lto
+
+       econf --cache-file="${S}"/config.cache
+}

Reply via email to